/*****************************************************************************/
/*                                                                           */
/* AresFit : comparestr.c                                                    */
/*                                                                           */
/* Created:       2015/02/23 (JLe)                                           */
/* Last modified: 2015/02/23 (JLe)                                           */
/* Version:       1.0.0                                                      */
/*                                                                           */
/* Description: Compares two strings in DATA structure                       */
/*                                                                           */
/* Comments: - From Serpent 2                                                */
/*                                                                           */
/*****************************************************************************/

#include "header.h"
#include "locations.h"

#define FUNCTION_NAME "CompareStr:"

/*****************************************************************************/

long CompareStr(long ptr1, long ptr2)
{
  /* Check pointers (cannot use VALID_PTR here, because the string may */
  /* be stored in the fixed data block) */

  if (ptr1 < 1)
    Die(FUNCTION_NAME, "Invalid pointer 1");
  else if (ptr2 < 1)
    Die(FUNCTION_NAME, "Invalid pointer 2");

  /* Compare */
  
  return !strcmp(GetText(ptr1), GetText(ptr2));
}

/*****************************************************************************/
